Skip to main content
GET
/
api
/
storefront
/
cart
/
{cart_id}
Get Cart
curl --request GET \
  --url https://api.example.com/api/storefront/cart/{cart_id} \
  --header 'X-Site-ID: <x-site-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_name": "<string>",
      "variant_name": "<string>",
      "sku": "<string>",
      "image_url": "<string>",
      "price": "<string>",
      "quantity": 123,
      "total": "<string>"
    }
  ],
  "subtotal": "<string>",
  "items_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Site-ID
string
required
X-Stella-Token
string | null

Path Parameters

cart_id
string<uuid>
required

Response

Successful Response

Schema for cart response.

id
string<uuid>
required
items
CartItemResponse · object[]
required
subtotal
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
items_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required